unit DGLHostIntfLinux;

{$mode objfpc}
{$IFNDEF Linux}
  {$ERROR This unit MUST NOT be used on an operating system different than Linux.}
{$ENDIF}

interface

uses
  DGLHostIntf, SysUtils;

type

  { TBenchmarkTimerLinux }

  TBenchmarkTimerLinux = class (TBenchmarkTimer)
  protected
    function DoGetTime: Double; override;
  end;

implementation

{ TBenchmarkTimerLinux }

function TBenchmarkTimerLinux.DoGetTime: Double;
begin
  Result := DateTimeToTimeStamp(Now).Time / 1000;
end;

initialization
BenchmarkTimerClass := TBenchmarkTimerLinux;

end.

